# into

open fun into(destPath: Any): AbstractArchiveTask

Specifies the destination directory *inside* the archive for the files. The destination is evaluated as per file. Don't mix it up with getDestinationDirectory which specifies the output directory for the archive.

#### Return

this

#### Parameters

destPath

destination directory *inside* the archive for the files

open fun into(destPath: Any, configureClosure: Closure): AbstractArchiveTask

Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files. The destination is evaluated as per file. Don't mix it up with getDestinationDirectory which specifies the output directory for the archive.

#### Return

this

#### Parameters

destPath

destination directory *inside* the archive for the files

configureClosure

The closure to use to configure the child `CopySpec`.

open fun into(destPath: Any, copySpec: Action<in CopySpec>): CopySpec

Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files. The destination is evaluated as per file. Don't mix it up with getDestinationDirectory which specifies the output directory for the archive.

#### Return

this

#### Parameters

destPath

destination directory *inside* the archive for the files

copySpec

The closure to use to configure the child `CopySpec`.